Status: Closed Start date: 2022-11-17
Priority: Normal Due date:

Assignee: Marco Eichelberg % Done: 0%
Category: Configuration Estimated time: 0:00 hour
Target version: 3.6.8

Module: CMake Compiler: MSVC
Operating System: Windows

Description

According to the following forum post, the recognition of newer C++ versions fails on MSVC because MSVC does not update the _
cplusplus macro,
which is checked in config/tests/cxx11.cc, unless the "/Zc:_cplusplus" option is specified:

https://forum.dcmtk.org/viewtopic.php?f=3&t=5219

The "/Zc:__cplusplus" option was introduced in Visual Studio 2017. We should, therefore, modify the CMake code to automatically
set this option when MSVC 2017 or newer is detected.

History

#1 - 2023-01-16 15:36 - Jorg Riesmeier

- Assignee set to Marco Eichelberg

#2 - 2023-03-15 11:52 - Michael Onken
Closed with commit 8f7de4df9.

#3 - 2023-03-15 11:52 - Michael Onken

- Status changed from New to Closed
